Refresh token

Get new access token using refresh token

POST/api/v1/:app_id/auth/refresh
API
Auth
OpenAPI
auth-api
Updated
Apr 26, 2026

auth-api:POST:/api/v1/:app_id/auth/refresh

Get new access token using refresh token

API ownership

  • API family: Auth API
  • Best for: Customer identity, session, token, cart, and wishlist flows.
  • Do not use from: Merchant admin data syncs or public catalog rendering.
  • Guide route: /apis/auth/latest

The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation.

Operation

  • Method: POST
  • Path: /api/v1/:app_id/auth/refresh
  • Summary: Refresh token
  • Description: Get new access token using refresh token
  • OpenAPI contract: auth-api
  • Operation ID: Not documented in the OpenAPI contract.

Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID.

Parameters1 parameter
NameInRequiredTypeDescription
app_idpathYesstringUUID of the app
Request bodyDocumented body
  • Required: Yes
  • Description: Refresh token
  • Content: application/json (object)

Refresh Token Request

PropertyTypeRequiredDetails
refresh_tokenstringYes-

Generated example (synthetic):

{
  "refresh_token": "string"
}
Responses4 statuses
StatusDescriptionContent
200OKapplication/json (object)
400Invalid requestapplication/json (object)
401Invalid refresh tokenapplication/json (object)
500Internal server errorapplication/json (object)

200 - object

Credentials

PropertyTypeRequiredDetails
access_tokenstringNo-
expires_inintegerNo-
refresh_tokenstringNo-
token_typestringNo-

Generated example (synthetic):

{
  "access_token": "string",
  "expires_in": 0,
  "refresh_token": "string",
  "token_type": "string"
}

400 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

401 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

500 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

Contract identity

Use these fields to confirm you are implementing the intended endpoint contract.

  • API family: Auth API
  • Method: POST
  • Path: /api/v1/:app_id/auth/refresh
  • Operation ID: Not documented in the OpenAPI contract.
  • OpenAPI tag: Auth
  • OpenAPI summary: Refresh token

Refresh token

# Refresh token Get new access token using refresh token
POST /api/v1/:app_id/auth/refresh
Purpose

Get new access token using refresh token

Required inputs

app_id path

Primary response

200 ยท OK

Operation key

auth-api:POST:/api/v1/:app_id/auth/refresh

## API ownership - API family: Auth API - Best for: Customer identity, session, token, cart, and wishlist flows. - Do not use from: Merchant admin data syncs or public catalog rendering. - Guide route: [/apis/auth/latest](/apis/auth/latest) The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation. ## Operation - Method: `POST` - Path: `/api/v1/:app_id/auth/refresh` - Summary: Refresh token - Description: Get new access token using refresh token - OpenAPI contract: auth-api - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `auth-api:POST:/api/v1/:app_id/auth/refresh` Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID. ## Parameters | Name | In | Required | Type | Description | | --- | --- | --- | --- | --- | | app_id | path | Yes | string | UUID of the app | ## Request body - Required: Yes - Description: Refresh token - Content: application/json (object) ### Refresh Token Request | Property | Type | Required | Details | | --- | --- | --- | --- | | `refresh_token` | string | Yes | - | **Generated example (synthetic):** ```json { "refresh_token": "string" } ``` ## Responses | Status | Description | Content | | --- | --- | --- | | 200 | OK | application/json (object) | | 400 | Invalid request | application/json (object) | | 401 | Invalid refresh token | application/json (object) | | 500 | Internal server error | application/json (object) | ### 200 - object #### Credentials | Property | Type | Required | Details | | --- | --- | --- | --- | | `access_token` | string | No | - | | `expires_in` | integer | No | - | | `refresh_token` | string | No | - | | `token_type` | string | No | - | **Generated example (synthetic):** ```json { "access_token": "string", "expires_in": 0, "refresh_token": "string", "token_type": "string" } ``` ### 400 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ### 401 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ### 500 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ## Contract identity Use these fields to confirm you are implementing the intended endpoint contract. - API family: Auth API - Method: `POST` - Path: `/api/v1/:app_id/auth/refresh` - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `auth-api:POST:/api/v1/:app_id/auth/refresh` - OpenAPI tag: Auth - OpenAPI summary: Refresh token